module Adminka
  class Admin < ApplicationRecord
    # Include default devise modules. Others available are:
    # :confirmable, :lockable, :timeoutable and :omniauthable
    devise :database_authenticatable, :registerable,
           :rememberable, :trackable, :validatable

    validates :first_name, :last_name, presence: true

    def full_name
      [first_name, last_name].join(' ')
    end
  end
end
